---
# Cop supports --autocorrect.
Layout/ArgumentAlignment:
  Exclude:
    - 'app/graphql/mutations/timelogs/base.rb'
    - 'app/graphql/mutations/timelogs/create.rb'
    - 'app/graphql/mutations/timelogs/delete.rb'
    - 'app/graphql/mutations/todos/create.rb'
    - 'app/graphql/mutations/todos/mark_all_done.rb'
    - 'app/graphql/mutations/todos/mark_done.rb'
    - 'app/graphql/mutations/todos/restore.rb'
    - 'app/graphql/mutations/todos/restore_many.rb'
    - 'app/graphql/mutations/uploads/delete.rb'
    - 'app/graphql/mutations/user_callouts/create.rb'
    - 'app/graphql/mutations/user_preferences/update.rb'
    - 'app/graphql/mutations/work_items/create.rb'
    - 'app/graphql/mutations/work_items/create_from_task.rb'
    - 'app/graphql/mutations/work_items/delete.rb'
    - 'app/graphql/mutations/work_items/update.rb'
    - 'app/graphql/resolvers/admin/analytics/usage_trends/measurements_resolver.rb'
    - 'ee/app/graphql/ee/mutations/issues/create.rb'
    - 'ee/app/graphql/ee/mutations/issues/update.rb'
    - 'ee/app/graphql/ee/mutations/work_items/create.rb'
    - 'ee/app/graphql/ee/mutations/work_items/update.rb'
    - 'ee/app/graphql/ee/resolvers/issues/base_parent_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/issues/base_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/namespace_projects_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/work_items_resolver.rb'
    - 'ee/app/graphql/ee/types/alert_management/http_integration_type.rb'
    - 'ee/app/graphql/ee/types/boards/board_issue_input_base_type.rb'
    - 'ee/app/graphql/ee/types/boards/board_issue_input_type.rb'
    - 'ee/app/graphql/ee/types/boards/negated_board_issue_input_type.rb'
    - 'ee/app/graphql/ee/types/branch_protections/base_access_level_type.rb'
    - 'ee/app/graphql/ee/types/branch_rules/branch_protection_type.rb'
    - 'ee/app/graphql/ee/types/ci/runner_countable_connection_type.rb'
    - 'ee/app/graphql/ee/types/deployment_type.rb'
    - 'ee/app/graphql/ee/types/environment_type.rb'
    - 'ee/app/graphql/mutations/iterations/cadences/destroy.rb'
    - 'ee/app/graphql/mutations/iterations/create.rb'
    - 'ee/app/graphql/mutations/iterations/update.rb'
    - 'ee/app/graphql/mutations/projects/initialize_product_analytics.rb'
    - 'ee/app/graphql/mutations/projects/set_compliance_framework.rb'
    - 'ee/app/graphql/mutations/quality_management/test_cases/create.rb'
    - 'ee/app/graphql/mutations/requirements_management/base_requirement.rb'
    - 'ee/app/graphql/mutations/requirements_management/export_requirements.rb'
    - 'ee/app/graphql/mutations/requirements_management/update_requirement.rb'
    - 'ee/app/graphql/mutations/security/finding/create_issue.rb'
    - 'ee/app/graphql/mutations/security/finding/dismiss.rb'
    - 'ee/app/graphql/mutations/security/finding/revert_to_detected.rb'
    - 'ee/app/graphql/mutations/security/training_provider_update.rb'
    - 'ee/app/graphql/mutations/security_policy/assign_security_policy_project.rb'
    - 'ee/app/graphql/mutations/security_policy/commit_scan_execution_policy.rb'
    - 'ee/app/graphql/mutations/security_policy/create_security_policy_project.rb'
    - 'ee/app/graphql/types/deployments/approval_summary_type.rb'
    - 'ee/app/graphql/types/deployments/approval_type.rb'
    - 'ee/app/graphql/types/epic_descendant_weight_sum_type.rb'
    - 'ee/app/graphql/types/epic_tree/epic_tree_node_input_type.rb'
    - 'ee/app/graphql/types/epic_type.rb'
    - 'ee/app/graphql/types/epics/negated_epic_filter_input_type.rb'
    - 'ee/app/graphql/types/epics/unioned_epic_filter_input_type.rb'
    - 'ee/app/graphql/types/external_issue_type.rb'
    - 'ee/app/graphql/types/geo/geo_node_type.rb'
    - 'ee/app/graphql/types/gitlab_subscriptions/preview_billable_user_change_type.rb'
    - 'ee/app/graphql/types/group_release_stats_type.rb'
    - 'ee/app/graphql/types/group_stats_type.rb'
    - 'ee/app/graphql/types/incident_management/escalation_policy_type.rb'
    - 'ee/app/graphql/types/path_lock_type.rb'
    - 'ee/app/graphql/types/permission_types/epic.rb'
    - 'ee/app/graphql/types/permission_types/requirement.rb'
    - 'ee/app/graphql/types/permission_types/vulnerability.rb'
    - 'ee/app/graphql/types/pipeline_security_report_finding_type.rb'
    - 'ee/app/graphql/types/product_analytics/dashboard_type.rb'
    - 'ee/app/graphql/types/product_analytics/visualization_type.rb'
    - 'ee/app/graphql/types/protected_environment_type.rb'
    - 'ee/app/graphql/types/protected_environments/approval_rule_for_summary_type.rb'
    - 'ee/app/graphql/types/protected_environments/approval_rule_type.rb'
    - 'ee/app/graphql/types/protected_environments/authorizable_type.rb'
    - 'ee/app/graphql/types/requirements_management/requirement_type.rb'
    - 'ee/app/graphql/types/security/training_url_type.rb'
    - 'ee/app/graphql/types/security_orchestration/group_security_policy_source_type.rb'
    - 'ee/app/graphql/types/security_orchestration/scan_execution_policy_type.rb'
    - 'ee/app/graphql/types/security_orchestration/scan_result_policy_type.rb'
    - 'ee/app/graphql/types/security_orchestration/security_policy_source_type.rb'
    - 'ee/app/graphql/types/security_report_summary_type.rb'
    - 'ee/app/graphql/types/security_scanners.rb'
    - 'ee/app/graphql/types/timebox_error_type.rb'
    - 'ee/app/graphql/types/vulnerabilities_count_by_day_type.rb'
    - 'ee/app/graphql/types/vulnerability_detail_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_source_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_supporting_message_type.rb'
    - 'ee/app/graphql/types/vulnerability_evidence_type.rb'
    - 'ee/app/graphql/types/vulnerability_identifier_input_type.rb'
    - 'ee/app/services/ee/issues/clone_service.rb'
    - 'ee/app/services/ee/issues/move_service.rb'
    - 'ee/app/services/ee/keys/create_service.rb'
    - 'ee/app/services/ee/merge_requests/create_pipeline_service.rb'
    - 'ee/app/services/ee/projects/create_from_template_service.rb'
    - 'ee/app/services/ee/projects/gitlab_projects_import_service.rb'
    - 'ee/app/services/ee/search/snippet_service.rb'
    - 'ee/app/services/ee/users/update_service.rb'
    - 'ee/app/services/elastic/process_bookkeeping_service.rb'
    - 'ee/app/services/epics/issue_promote_service.rb'
    - 'ee/app/services/external_status_checks/create_service.rb'
    - 'ee/app/services/external_status_checks/destroy_service.rb'
    - 'ee/app/services/external_status_checks/update_service.rb'
    - 'ee/spec/lib/ee/gitlab/scim/params_parser_spec.rb'
    - 'ee/spec/lib/ee/gitlab/scim/provisioning_service_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage/service_ping_report_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/data_collector_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/distinct_stage_loader_spec.rb'
    - 'ee/spec/lib/gitlab/analytics/cycle_analytics/summary/stage_time_summary_spec.rb'
    - 'ee/spec/lib/gitlab/audit/auditor_spec.rb'
    - 'ee/spec/lib/gitlab/auth/group_saml/identity_linker_spec.rb'
    - 'ee/spec/lib/gitlab/auth/ldap/access_spec.rb'
    - 'ee/spec/lib/gitlab/auth/otp/session_enforcer_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/certificate_spec.rb'
    - 'ee/spec/lib/gitlab/auth/smartcard/ldap_certificate_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_committer_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_insufficient_users_spec.rb'
    - 'ee/spec/lib/gitlab/compliance_management/violations/approved_by_merge_request_author_spec.rb'
    - 'ee/spec/lib/gitlab/data_builder/vulnerability_spec.rb'
    - 'ee/spec/lib/gitlab/elastic/indexer_spec.rb'
    - 'ee/spec/lib/gitlab/geo/log_cursor/daemon_spec.rb'
    - 'ee/spec/lib/gitlab/geo_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'ee/spec/lib/gitlab/insights/executors/dora_executor_spec.rb'
    - 'ee/spec/lib/gitlab/insights/loader_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/branch_components_spec.rb'
    - 'ee/spec/lib/gitlab/license_scanning/package_licenses_spec.rb'
    - 'ee/spec/lib/gitlab/status_page_spec.rb'
    - 'ee/spec/lib/gitlab/zoekt/search_results_spec.rb'
    - 'ee/spec/lib/incident_management/oncall_shift_generator_spec.rb'
    - 'ee/spec/lib/omni_auth/strategies/group_saml_spec.rb'
    - 'ee/spec/requests/admin/impersonation_tokens_controller_spec.rb'
    - 'ee/spec/requests/api/analytics/product_analytics_spec.rb'
    - 'ee/spec/requests/api/analytics/project_deployment_frequency_spec.rb'
    - 'ee/spec/requests/api/api_spec.rb'
    - 'ee/spec/requests/api/branches_spec.rb'
    - 'ee/spec/requests/api/composer_packages_spec.rb'
    - 'ee/spec/requests/api/deployments_spec.rb'
    - 'ee/spec/requests/api/dora/metrics_spec.rb'
    - 'ee/spec/requests/api/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/ci/runner_spec.rb'
    - 'ee/spec/requests/api/graphql/group/dast_profile_schedule_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epic/epic_children_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epic/epic_issues_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/merge_request_reviewer_spec.rb'
    - 'ee/spec/requests/api/graphql/merge_requests/approval_state_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/issues/issue_move_list_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/lists/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/lists/update_limit_metrics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/update_epic_user_preferences_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/compliance_management/frameworks/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/compliance_management/frameworks/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/epic_tree/reorder_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/issues/set_weight_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/cadences/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/cadences/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/initialize_product_analytics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/lock_path_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/projects/set_compliance_framework_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/quality_management/test_cases/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/requirements_management/update_requirement_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/create_issue_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/finding/revert_to_detected_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/assign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/create_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/unassign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/group_boards_spec.rb'
    - 'ee/spec/requests/api/group_clusters_spec.rb'
    - 'ee/spec/requests/api/group_push_rule_spec.rb'
    - 'ee/spec/requests/api/groups_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/invitations_spec.rb'
    - 'ee/spec/requests/api/issue_links_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/members_spec.rb'
    - 'ee/spec/requests/api/merge_trains_spec.rb'
    - 'ee/spec/requests/api/namespaces_spec.rb'
    - 'ee/spec/requests/api/project_clusters_spec.rb'
    - 'ee/spec/requests/api/project_push_rule_spec.rb'
    - 'ee/spec/requests/api/projects_spec.rb'
    - 'ee/spec/requests/api/protected_environments_spec.rb'
    - 'ee/spec/requests/api/provider_identity_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/reconciliations/check_seat_usage_alerts_eligibility_service_spec.rb'
    - 'ee/spec/services/groups/compliance_report_csv_service_spec.rb'
    - 'ee/spec/services/groups/mark_for_deletion_service_spec.rb'
    - 'ee/spec/services/groups/restore_service_spec.rb'
    - 'ee/spec/services/issue_feature_flags/list_service_spec.rb'
    - 'ee/spec/services/merge_request_approval_settings/update_service_spec.rb'
    - 'ee/spec/services/protected_environments/create_service_spec.rb'
    - 'ee/spec/services/protected_environments/update_service_spec.rb'
    - 'ee/spec/services/quick_actions/interpret_service_spec.rb'
    - 'ee/spec/services/users/email_verification/send_custom_confirmation_instructions_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/dismiss_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/findings/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/security_finding/create_issue_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/security_finding/create_merge_request_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/user_notes_count_service_spec.rb'
    - 'ee/spec/services/vulnerability_feedback/create_service_spec.rb'
    - 'ee/spec/services/vulnerability_merge_request_links/create_service_spec.rb'
    - 'lib/api/access_requests.rb'
    - 'lib/api/admin/broadcast_messages.rb'
    - 'lib/api/admin/plan_limits.rb'
    - 'lib/api/alert_management_alerts.rb'
    - 'lib/api/api.rb'
    - 'lib/api/applications.rb'
    - 'lib/api/branches.rb'
    - 'lib/api/bulk_imports.rb'
    - 'lib/api/ci/job_artifacts.rb'
    - 'lib/api/ci/jobs.rb'
    - 'lib/api/ci/pipeline_schedules.rb'
    - 'lib/api/ci/pipelines.rb'
    - 'lib/api/ci/resource_groups.rb'
    - 'lib/api/ci/runner.rb'
    - 'lib/api/ci/runners.rb'
    - 'lib/api/ci/triggers.rb'
    - 'lib/api/commit_statuses.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/concerns/packages/debian_distribution_endpoints.rb'
    - 'lib/api/concerns/packages/npm_endpoints.rb'
    - 'lib/api/container_repositories.rb'
    - 'lib/api/dependency_proxy.rb'
    - 'lib/api/deploy_keys.rb'
    - 'lib/api/deploy_tokens.rb'
    - 'lib/api/deployments.rb'
    - 'lib/api/entities/application.rb'
    - 'lib/api/entities/application_statistics.rb'
    - 'lib/api/entities/branch.rb'
    - 'lib/api/entities/npm_package.rb'
    - 'lib/api/entities/nuget/dependency_group.rb'
    - 'lib/api/entities/nuget/package_metadata.rb'
    - 'lib/api/entities/nuget/package_metadata_catalog_entry.rb'
    - 'lib/api/entities/nuget/packages_metadata.rb'
    - 'lib/api/entities/nuget/packages_metadata_item.rb'
    - 'lib/api/entities/nuget/search_result.rb'
    - 'lib/api/entities/nuget/search_results.rb'
    - 'lib/api/entities/packages/debian/distribution.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/entities/pull_mirror.rb'
    - 'lib/api/entities/release.rb'
    - 'lib/api/entities/resource_access_token.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/metrics/dashboard/annotations.rb'
    - 'lib/api/metrics/user_starred_dashboards.rb'
    - 'lib/api/milestone_responses.rb'
    - 'lib/api/notes.rb'
    - 'lib/api/nuget_project_packages.rb'
    - 'lib/api/pages.rb'
    - 'lib/api/pages_domains.rb'
    - 'lib/api/pagination_params.rb'
    - 'lib/api/personal_access_tokens.rb'
    - 'lib/api/project_container_repositories.rb'
    - 'lib/api/project_export.rb'
    - 'lib/api/project_import.rb'
    - 'lib/api/project_packages.rb'
    - 'lib/api/project_snippets.rb'
    - 'lib/api/project_templates.rb'
    - 'lib/api/projects.rb'
    - 'lib/api/protected_branches.rb'
    - 'lib/api/protected_tags.rb'
    - 'lib/api/releases.rb'
    - 'lib/api/remote_mirrors.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/resource_access_tokens.rb'
    - 'lib/api/settings.rb'
    - 'lib/api/snippets.rb'
    - 'lib/api/system_hooks.rb'
    - 'lib/api/tags.rb'
    - 'lib/api/terraform/state.rb'
    - 'lib/api/topics.rb'
    - 'lib/api/usage_data.rb'
    - 'lib/api/users.rb'
    - 'lib/backup/manager.rb'
    - 'lib/bitbucket_server/connection.rb'
    - 'lib/gem_extensions/active_record/disable_joins/associations/association_scope.rb'
    - 'lib/generators/gitlab/partitioning/foreign_keys_generator.rb'
    - 'lib/gitlab/alert_management/payload/prometheus.rb'
    - 'lib/gitlab/auth/ldap/adapter.rb'
    - 'lib/gitlab/chat/command.rb'
    - 'lib/gitlab/ci/ansi2json/line.rb'
    - 'lib/gitlab/ci/config/entry/environment.rb'
    - 'lib/gitlab/ci/config/entry/imageable.rb'
    - 'lib/gitlab/ci/config/entry/job.rb'
    - 'lib/gitlab/ci/config/entry/product/parallel.rb'
    - 'lib/gitlab/ci/config/entry/pull_policy.rb'
    - 'lib/gitlab/ci/config/entry/retry.rb'
    - 'lib/gitlab/ci/config/entry/root.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule/changes.rb'
    - 'lib/gitlab/ci/config/extendable/entry.rb'
    - 'lib/gitlab/ci/lint.rb'
    - 'lib/gitlab/ci/status/stage/common.rb'
    - 'lib/gitlab/ci/trace/chunked_io.rb'
    - 'lib/gitlab/ci/variables/collection.rb'
    - 'lib/gitlab/ci/yaml_processor/result.rb'
    - 'lib/gitlab/config/entry/node.rb'
    - 'lib/gitlab/config_checker/external_database_checker.rb'
    - 'lib/gitlab/conflict/file.rb'
    - 'lib/gitlab/cross_project_access.rb'
    - 'lib/gitlab/data_builder/push.rb'
    - 'lib/gitlab/database/consistency_checker.rb'
    - 'lib/gitlab/database/count/reltuples_count_strategy.rb'
    - 'lib/gitlab/database/load_balancing/configuration.rb'
    - 'lib/gitlab/database/load_balancing/service_discovery.rb'
    - 'lib/gitlab/database/migration_helpers.rb'
    - 'lib/gitlab/database/migrations/base_background_runner.rb'
    - 'lib/gitlab/database/partitioning/detached_partition_dropper.rb'
    - 'lib/gitlab/database/partitioning/partition_manager.rb'
    - 'lib/gitlab/database/partitioning/replace_table.rb'
    - 'lib/gitlab/database/partitioning_migration_helpers/table_management_helpers.rb'
    - 'lib/gitlab/diff/diff_refs.rb'
    - 'lib/gitlab/diff/file_collection/base.rb'
    - 'lib/gitlab/diff/file_collection/paginated_merge_request_diff.rb'
    - 'lib/gitlab/diff/line.rb'
    - 'lib/gitlab/diff/lines_unfolder.rb'
    - 'lib/gitlab/diff/parser.rb'
    - 'lib/gitlab/diff/position.rb'
    - 'lib/gitlab/diff/rendered/notebook/diff_file.rb'
    - 'lib/gitlab/diff/suggestions_parser.rb'
    - 'lib/gitlab/email/hook/delivery_metrics_observer.rb'
    - 'lib/gitlab/error_tracking/detailed_error.rb'
    - 'lib/gitlab/external_authorization/access.rb'
    - 'lib/gitlab/gfm/reference_rewriter.rb'
    - 'lib/gitlab/git/blob.rb'
    - 'lib/gitlab/git/conflict/file.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/git_access.rb'
    - 'lib/gitlab/gitaly_client/object_pool_service.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/remote_service.rb'
    - 'lib/gitlab/gitaly_client/repository_service.rb'
    - 'lib/gitlab/gitaly_client/util.rb'
    - 'lib/gitlab/github_gists_import/importer/gist_importer.rb'
    - 'lib/gitlab/github_import/importer/issue_importer.rb'
    - 'lib/gitlab/github_import/importer/pull_request_importer.rb'
    - 'lib/gitlab/github_import/representation/issue.rb'
    - 'lib/gitlab/github_import/representation/issue_event.rb'
    - 'lib/gitlab/github_import/representation/note.rb'
    - 'lib/gitlab/github_import/representation/protected_branch.rb'
    - 'lib/gitlab/github_import/representation/pull_request.rb'
    - 'lib/gitlab/gl_repository/repo_type.rb'
    - 'lib/gitlab/gon_helper.rb'
    - 'lib/gitlab/gpg.rb'
    - 'lib/gitlab/graphql/deprecations/deprecation.rb'
    - 'lib/gitlab/graphql/expose_permissions.rb'
    - 'lib/gitlab/graphql/mount_mutation.rb'
    - 'lib/gitlab/graphql/negatable_arguments.rb'
    - 'lib/gitlab/import_export/base/relation_object_saver.rb'
    - 'lib/gitlab/import_export/importer.rb'
    - 'lib/gitlab/import_export/members_mapper.rb'
    - 'lib/gitlab/import_export/project/tree_restorer.rb'
    - 'lib/gitlab/import_export/snippet_repo_saver.rb'
    - 'lib/gitlab/import_export/snippets_repo_restorer.rb'
    - 'lib/gitlab/import_export/snippets_repo_saver.rb'
    - 'lib/gitlab/issuable/clone/copy_resource_events_service.rb'
    - 'lib/gitlab/mail_room.rb'
    - 'lib/gitlab/markdown_cache/redis/store.rb'
    - 'lib/gitlab/memory/reports_uploader.rb'
    - 'lib/gitlab/memory/watchdog/configurator.rb'
    - 'lib/gitlab/metrics/requests_rack_middleware.rb'
    - 'lib/gitlab/other_markup.rb'
    - 'lib/gitlab/project_authorizations.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/request_context.rb'
    - 'lib/gitlab/routing.rb'
    - 'lib/gitlab/sanitizers/exif.rb'
    - 'lib/gitlab/search_context.rb'
    - 'lib/gitlab/seeders/ci/runner/runner_fleet_pipeline_seeder.rb'
    - 'lib/gitlab/setup_helper.rb'
    - 'lib/gitlab/sidekiq_config/worker.rb'
    - 'lib/gitlab/spamcheck/client.rb'
    - 'lib/gitlab/usage/metrics/instrumentations/database_metric.rb'
    - 'lib/gitlab/usage_data.rb'
    - 'lib/gitlab/usage_data_counters/ci_template_unique_counter.rb'
    - 'lib/gitlab/usage_data_counters/merge_request_activity_unique_counter.rb'
    - 'lib/peek/views/detailed_view.rb'
    - 'lib/peek/views/redis_detailed.rb'
    - 'lib/tasks/gems.rake'
    - 'lib/tasks/gitlab/feature_categories.rake'
    - 'lib/tasks/gitlab/seed.rake'
    - 'lib/tasks/gitlab/seed/runner_fleet.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/uploads/sanitize.rake'
    - 'rubocop/cop/gitlab/finder_with_find_by.rb'
    - 'rubocop/cop/qa/ambiguous_page_object_name.rb'
    - 'rubocop/cop/rspec/modify_sidekiq_middleware.rb'
    - 'scripts/packages/automated_cleanup.rb'
    - 'scripts/rubocop-parse'
    - 'sidekiq_cluster/sidekiq_cluster.rb'
    - 'spec/benchmarks/banzai_benchmark.rb'
    - 'spec/components/previews/pajamas/alert_component_preview.rb'
    - 'spec/components/previews/pajamas/banner_component_preview.rb'
    - 'spec/components/previews/pajamas/button_component_preview.rb'
    - 'spec/graphql/features/authorization_spec.rb'
    - 'spec/initializers/secret_token_spec.rb'
    - 'spec/lib/api/every_api_endpoint_spec.rb'
    - 'spec/lib/atlassian/jira_connect/client_spec.rb'
    - 'spec/lib/backup/dump/postgres_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/bulk_imports/common/pipelines/lfs_objects_pipeline_spec.rb'
    - 'spec/lib/container_registry/blob_spec.rb'
    - 'spec/lib/container_registry/tag_spec.rb'
    - 'spec/lib/error_tracking/sentry_client/issue_spec.rb'
    - 'spec/lib/feature/definition_spec.rb'
    - 'spec/lib/feature/gitaly_spec.rb'
    - 'spec/lib/feature_spec.rb'
    - 'spec/lib/gitlab/checks/changes_access_spec.rb'
    - 'spec/lib/gitlab/checks/single_change_access_spec.rb'
    - 'spec/lib/gitlab/conan_token_spec.rb'
    - 'spec/lib/gitlab/config_checker/external_database_checker_spec.rb'
    - 'spec/lib/gitlab/cross_project_access/class_methods_spec.rb'
    - 'spec/lib/gitlab/cross_project_access_spec.rb'
    - 'spec/lib/gitlab/data_builder/push_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/dependency_linker/parser/gemfile_spec.rb'
    - 'spec/lib/gitlab/email/hook/delivery_metrics_observer_spec.rb'
    - 'spec/lib/gitlab/email/hook/smime_signature_interceptor_spec.rb'
    - 'spec/lib/gitlab/error_tracking/processor/context_payload_processor_spec.rb'
    - 'spec/lib/gitlab/etag_caching/router/graphql_spec.rb'
    - 'spec/lib/gitlab/external_authorization/client_spec.rb'
    - 'spec/lib/gitlab/external_authorization/logger_spec.rb'
    - 'spec/lib/gitlab/external_authorization_spec.rb'
    - 'spec/lib/gitlab/gfm/uploads_rewriter_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/git/tree_spec.rb'
    - 'spec/lib/gitlab/git_access_project_spec.rb'
    - 'spec/lib/gitlab/git_access_spec.rb'
    - 'spec/lib/gitlab/git_access_wiki_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/commit_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/operation_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/ref_service_spec.rb'
    - 'spec/lib/gitlab/gitaly_client_spec.rb'
    - 'spec/lib/gitlab/github_gists_import/importer/gist_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/labels_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/milestones_importer_spec.rb'
    - 'spec/lib/gitlab/graphql/query_analyzers/ast/logger_analyzer_spec.rb'
    - 'spec/lib/gitlab/health_checks/redis_spec.rb'
    - 'spec/lib/gitlab/i18n/po_linter_spec.rb'
    - 'spec/lib/gitlab/instrumentation_helper_spec.rb'
    - 'spec/lib/gitlab/legacy_github_import/wiki_formatter_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/extension_spec.rb'
    - 'spec/lib/gitlab/markdown_cache/redis/store_spec.rb'
    - 'spec/lib/gitlab/memory/reports_uploader_spec.rb'
    - 'spec/lib/gitlab/memory/upload_and_cleanup_reports_spec.rb'
    - 'spec/lib/gitlab/memory/watchdog/configurator_spec.rb'
    - 'spec/lib/gitlab/metrics/subscribers/action_view_spec.rb'
    - 'spec/lib/gitlab/metrics/web_transaction_spec.rb'
    - 'spec/lib/gitlab/middleware/multipart_spec.rb'
    - 'spec/lib/gitlab/pagination_delegate_spec.rb'
    - 'spec/lib/gitlab/path_regex_spec.rb'
    - 'spec/lib/gitlab/profiler_spec.rb'
    - 'spec/lib/gitlab/repository_cache/preloader_spec.rb'
    - 'spec/lib/gitlab/repository_cache_spec.rb'
    - 'spec/lib/gitlab/search_context/builder_spec.rb'
    - 'spec/lib/gitlab/seeders/ci/runner/runner_fleet_seeder_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/client_spec.rb'
    - 'spec/lib/gitlab/sidekiq_migrate_jobs_spec.rb'
    - 'spec/lib/gitlab/sidekiq_queue_spec.rb'
    - 'spec/lib/gitlab/slash_commands/command_spec.rb'
    - 'spec/lib/gitlab/slash_commands/deploy_spec.rb'
    - 'spec/lib/gitlab/slash_commands/issue_move_spec.rb'
    - 'spec/lib/gitlab/spamcheck/client_spec.rb'
    - 'spec/lib/gitlab/suggestions/commit_message_spec.rb'
    - 'spec/lib/gitlab/suggestions/file_suggestion_spec.rb'
    - 'spec/lib/gitlab/suggestions/suggestion_set_spec.rb'
    - 'spec/lib/gitlab/tracking/destinations/snowplow_spec.rb'
    - 'spec/lib/gitlab/utils/lazy_attributes_spec.rb'
    - 'spec/lib/gitlab/workhorse_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/peek/views/detailed_view_spec.rb'
    - 'spec/lib/security/weak_passwords_spec.rb'
    - 'spec/lib/sidebars/projects/menus/repository_menu_spec.rb'
    - 'spec/lib/uploaded_file_spec.rb'
    - 'spec/tasks/cache_rake_spec.rb'
    - 'spec/tasks/gitlab/cleanup_rake_spec.rb'
    - 'spec/tasks/gitlab/db/decomposition/rollback/bump_ci_sequences_rake_spec.rb'
    - 'spec/tasks/gitlab/db/truncate_legacy_tables_rake_spec.rb'
    - 'spec/tasks/gitlab/sidekiq_rake_spec.rb'
    - 'spec/tooling/danger/sidekiq_queues_spec.rb'
    - 'spec/tooling/graphql/docs/renderer_spec.rb'
    - 'tooling/danger/suggestor.rb'
